com.informix.jdbc

## Interface IfmxComplexSQLOutput

All Superinterfaces:
  java.sql.SQLOutput

All Known Implementing Classes:
  IfxComplexOutput

    public interface IfmxComplexSQLOutput
    extends java.sql.SQLOutput

The IfmxComplexSQLOutput interface contains Informix extensions to the SQLOutput interface. This interface is specific to Informix complex types.

### Method Summary

Methods
`void` `writeInterval(Interval intrvl)` Writes the next attribute to the stream as an Informix Interval.
`void` `writeObject(java.lang.Object x)` Writes the next attribute to the stream as a Java object.

### Methods inherited from interface java.sql.SQLOutput

`writeArray, writeAsciiStream, writeBigDecimal, writeBinaryStream, writeBlob, writeBoolean, writeByte, writeBytes, writeCharacterStream, writeClob, writeDate, writeDouble, writeFloat, writeInt, writeLong, writeNClob, writeNString, writeObject, writeRef, writeRowId, writeShort, writeSQLXML, writeString, writeStruct, writeTime, writeTimestamp, writeURL`

### Method Detail

#### writeInterval

    void writeInterval(Interval intrvl)
                       throws java.sql.SQLException

Writes the next attribute to the stream as an Informix Interval.

Parameters:
  `intrvl` - The Interval object to be passed to the database.
Throws:
  `java.sql.SQLException`
See Also:
  `Interval`, `IntervalYM`, `IntervalDF`

#### writeObject

    void writeObject(java.lang.Object x)
                     throws java.sql.SQLException

Writes the next attribute to the stream as a Java object.

Parameters:
  `x` - The java.util.Collection or Informix Interval object to be written.
Throws:
  `java.sql.SQLException`